<?php
/*
=============================================
Движок: SHCMS Engine
=============================================
Название файла: SHCMS Engine Панель управления.
=============================================
Official website: http://shcms.ru
=============================================
*/
define('SHCMS', true);
include_once'../system/inc/basic_settings.php';
$shcmsengine['title'] = 'SHCMS Engine Настройки пользователей.';
include_once'../template/head.php';
registrat();
$adminka ->admin();

$user4 = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id`='$user_id'"));
if($user4['team'] < 6)
{
echo 'Ошибка';
header('Refresh: 1; url=/index.php?'.$conservation.'&');
	include_once'../template/foot.php';
exit();
}
include_once'secu.php';
$loa = mysql_query("SELECT * FROM `settings_shcms`");
$load_shcms = mysql_fetch_array($loa);
if($_POST['sub_save'])
{$sub_save = $_POST['sub_save'];}
if(isset($sub_save))
{
if($_POST['act_reg'])
{$act_reg =$_POST['act_reg'];}
if($_POST['captcha_guest'])
{$captcha_guest =$_POST['captcha_guest'];}
if($_POST['captcha_reg'])
{$captcha_reg =$_POST['captcha_reg'];}
if($_POST['captcha_aut'])
{$captcha_aut =$_POST['captcha_aut'];}

if($_POST['id_aut'])
{$id_aut =$_POST['id_aut'];}

$load_shcms['act_reg'] = (isset ($act_reg) && $act_reg);
$load_shcms['captcha_guest'] = (isset ($captcha_guest) && $captcha_guest);
$load_shcms['captcha_reg'] = (isset ($captcha_reg) && $captcha_reg);
$load_shcms['captcha_aut'] = (isset ($captcha_aut) && $captcha_aut);
$load_shcms['id_aut'] = (isset ($id_aut) && $id_aut);



$ok_mysq = mysql_query("UPDATE `settings_shcms` SET `act_reg` ='$act_reg',`captcha_guest`='$captcha_guest',`captcha_reg`='$captcha_reg',`captcha_aut`='$captcha_aut',`id_aut`='$id_aut'");
if($ok_mysq == true)
{
echo '<div class="actshcms">Изминение успешно сохранены</div>';
	header("Refresh: 1; url=?");
	include_once'../template/foot.php';
	exit();
}
else
{
echo '<div class="errors">Настройки не сохранены</div>';
	header("Refresh: 1; url=?");
	include_once'../template/foot.php';
	exit();
}
}

echo '<form method="post" action="?">';
$files_ = array
                 (
				 null => 'По логину',
				  1=>'ID',
				  2=>'Email',
				);
				
				
				
				

 echo "Метод авторизации на сайте:<br />\n<select name='id_aut'>\n";
                
	
				  echo '<option value="0"' . ($load_shcms['id_aut'] == 0? ' selected="selected">' : '>') .'По Логину</option>';
				    echo '<option value="1"' . ($load_shcms['id_aut'] == 1? ' selected="selected">' : '>') .'По ID</option>';
					  echo '<option value="2"' . ($load_shcms['id_aut'] == 2? ' selected="selected">' : '>').'По Email</option>';
            
        echo '</select><br/>';



echo '<hr/><input name="act_reg" type="checkbox" value="1" '.($load_shcms['act_reg']?'checked="checked"':'') . ' />&nbsp;Включить регистрацию<br />';
echo '<input name="captcha_guest" type="checkbox" value="1" '.($load_shcms['captcha_guest']?'checked="checked"':'') . ' />&nbsp;Включить капчу в гостевой<br />';
echo '<input name="captcha_reg" type="checkbox" value="1" '.($load_shcms['captcha_reg']?'checked="checked"':'') . ' />&nbsp;Включить капчу в регистрации<br />';
echo '<input name="captcha_aut" type="checkbox" value="1" '.($load_shcms['captcha_aut']?'checked="checked"':'') . ' />&nbsp;Включить капчу в авторизации<br /><hr/>';

echo '<input type="submit" name="sub_save" value="Сохранить"></form>';


include_once'../template/foot.php';
?>